#ifndef CONFIG_PARAMETER_
#define CONFIG_PARAMETER_

#include "comm_types.h"


#define softVer "SV01_24101501"

// /* 第一段保护的延时时间（单位100uS） */
// const uint32_t firstStageProtectionDelay = 2;    // 200uS
// /* 第一段保护的电流（单位A） */
// const float_t firstStageProtectionCurr = 50.0f;

// /* 第二段保护的延时时间（单位100uS） */
// const uint32_t secondStageProtectionDelay = 50000;    // 5S
// /* 第二段保护的电流（单位A） */
// const float_t secondStageProtectionCurr = 30.0f;

// /* 第三段保护的延时时间（单位100uS） */
// const uint32_t thirdStageProtectionDelay = 1200000;   // 120S
// /* 第三段保护的电流（单位A） */
// const uint32_t thirdStageProtectionCurr = 35.0f;

// /* 检测回路阻抗时的充电电流要大于该值（单位A） */
// const float_t checkLoopImpedanceChargCurr = 10.0f;


// /* 第三段保护的延时时间（单位100uS） */
// const uint32_t lowInputLoadDetectionDelay = 30;   // 120S


// /* 第一段保护的延时时间（单位100uS） */
/* 第一段保护的延时时间（单位10uS） */
#define firstStageProtectionDelayMacro 2
// /* 第一段保护的电流（单位A） */
// #define firstStageProtectionCurr 50.0f
//#define firstStageProtectionCurr 40.0f
#define firstStageProtectionCurrMacro 45.0f
/* 第一段保护的电流采集的ADC的值 */
// #define firstStageProtectionValue 3412
//#define firstStageProtectionValue 2730
#define firstStageProtectionValueMacro 3071

/* 第二段保护的延时时间（单位100uS） */
#define secondStageProtectionDelayMacro 50000    // 5S
/* 第二段保护的电流（单位A） */
#define secondStageProtectionCurrMacro 8.0f

/* 第三段保护的延时时间（单位100uS） */
#define thirdStageProtectionDelayMacro 200000    // 20S
/* 第三段保护的电流（单位A） */
#define thirdStageProtectionCurrMacro 5.0f

/* 检测回路阻抗时的充电电流要大于该值（单位A） */
#define checkLoopImpedanceChargCurrMacro 5.0f

/* 输入功率较低延时（单位100uS） */
#define lowInputLoadDetectionDelayMacro 30   // 3ms
/* 输入功率较低延时电压（单位V） */
#define lowInputLoadDetectionVoltMacro 10.0f

/* 最大充电电流（A） */
#define maxChargCurrMacro 25.0f

/* 最大充电电压（V） */
#define maxOpenSolarOpenCircuitVMacro 25.0f





#endif
